﻿@model IEnumerable<eCommerce.Services.Model.Supplier>

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th>Razón Social</th>
            <th>Email</th>
            <th>Teléfono</th>
            <th>Creado</th>
            <th>Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@Html.DisplayFor(modelItem => item.Name)</td>
            <td>@Html.DisplayFor(modelItem => item.Email)</td>
            <td>@Html.DisplayFor(modelItem => item.Phone)</td>
            <td>@Html.DisplayFor(modelItem => item.Created)</td>
            <td class="actions">

                <a href="/Suppliers/SupplierUpdate/@item.SupplierId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>

                <a href="/SupplierAccounting?Id=@item.SupplierId" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                   data-toggle="tooltip" data-original-title="Cuenta Corriente"><i class="icon wb-list" aria-hidden="true"></i></a>

                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.SupplierId" onclick="fDeleteDialog(@item.SupplierId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
